
QGIS Application - Bug report #4105

"Select by location" does not work with layers having different CRS and "on the fly" projection 

turned on

2011-07-20 08:10 AM - Marie Silvestre

Status: Closed

Priority: Normal

Assignee: cfarmer -

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 14087

Description

Everything is in the title!

I have two layers (shapefiles) having different CRS and "on the fly" CRS transformation is activated.

The two layers are correctly projected.

When I try to select features from one layer that intersect features from the other using the tool "Vector / Research Tools / Select by

location", nothing is selected. As if the "on the fly" CRS transformation was not working anymore...

(And of course when the two layers have the same CRS, everything works just fine)

History

#1 - 2011-10-15 02:58 AM - Giovanni Manghi

- Assignee set to cfarmer -

I think it is safe to say that ftools tools (the vector menu) works only if the input layers are in the same CRS. Carson (the author of the tools), please leave

feedback and eventually close this ticket.

#2 - 2011-10-15 02:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-27 12:06 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

Duplicate of #4564

Ftools tools needs the vectors to be in the same CRS.

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
